package com.saye.hrs.service;

import com.saye.hrs.model.WxResult;
import com.saye.hrs.model.WxybResult;

import java.util.HashMap;
import java.util.List;

/***
 * @title WxPayService
 * @description TODO 请填写注释
 * @author thuang
 * @create 2023/8/15 9:41
 **/
public interface WxPayService {
    void addWxPayInfo(WxResult reqDTO);

    WxResult findWxPayInfo(WxResult reqDTO);

    void addWxybPayInfo(WxybResult reqDTO);

    WxybResult findWxybPayInfo(WxybResult reqDTO);

    List<WxResult> getWxNotSendInfo(HashMap<Object,Object> map);

    List<WxybResult> getWxybNotSendInfo(HashMap<Object,Object> map);

    void addOrderInfo(HashMap<Object, Object> map);

    void updateOrderInfoPay(HashMap<Object, Object> map);

    void updateYBOrderInfoPay(HashMap<Object, Object> map);

    void updateOrderInfoComplete(HashMap<Object, Object> map);

    List<HashMap<Object, Object>> findOrderInfo(HashMap<Object, Object> map);

    void updateOrderInfoEnd(HashMap<Object, Object> map);
}
